{% with messages = get_flashed_messages(True) %}
    {% if messages %}
    <ul id="flash_messages">
        {% for category, message in messages %}
        <li class="flash-{{ category }}">{{ message }}</li>
        {% endfor %}
    </ul>
    {% endif %}
{% endwith %}
